<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Salvage Method (String, DatabaseConfig, Boolean)
Database Class See Also Send Feedback

Write the key/data pairs from all databases in the file to Out. Key values are written for Btree, Hash and Queue databases, but not for Recno databases.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public static void Salvage(
    	string file,
    	DatabaseConfig cfg,
    	bool Printable
    )

Visual Basic (Declaration)

    Public Shared Sub Salvage ( _
    	file As String, _
    	cfg As DatabaseConfig, _
    	Printable As Boolean _
    )

Visual C++

    public:
    static void Salvage(
    	String^ file,
    	DatabaseConfig^ cfg,
    	bool Printable
    )

#### Parameters

file
  Type: System..::.String
  The physical file in which the databases to be salvaged are found.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be salvaged.

Printable
  Type: System..::.Boolean
  If true and characters in either the key or data items are printing characters (as defined by isprint(3)), use printing characters to represent them. This setting permits users to use standard text editors and tools to modify the contents of databases or selectively remove data from salvager output.

# See Also

Database Class
Salvage Overload
BerkeleyDB Namespace